AuMakeElementExportDevice(3)

Name
AuMakeElementExportDevice - initialize an ExportDevice element

Synopsis
#include <audio/audiolib.h>

AuMakeElementExportDevice(element, input, device, sample_rate, num_samples, num_actions, actions)
    AuElement *element; /* RETURN */
    unsigned short input;
    AuDeviceID device;
    unsigned short sample_rate;
    AuUint32 num_samples;
    int num_actions;
    AuElementAction *actions;

Arguments

element
    Returns the initialized element.

input
    Specifies the index of the element to supply the audio data to this element.

device
    Specifies the ID of the device to send the audio data to.

sample_rate
    Specifies the sample_rate of the audio data.

num_samples
    Specifies the number of samples to send to the device. Use AuUnlimitedSamples to indicate an unlimited number of samples.

num_actions
    Specifies the number of actions in actions.

actions
    Specifies the list of actions to associate with this element. Entries in this list can be initialized with AuMakeChangeStateAction, AuMakeSendNotifyAction, and AuMakeNoopAction. May be NULL.

Description
AuMakeElementExportDevice sets the type member of element to AuElementTypeExportDevice and initializes the exportdevice member of element with the remaining arguments.

AuMakeElementExportDevice is implemented as a macro.

See Also
AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportMonitor, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface